Can't run XAMPP 64 bit linux installer on WLS

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Can't run XAMPP 64 bit linux installer on WLS

Postby tasso85 » 18. December 2017 12:32

I was trying to install the 64bit linux version of XAMPP via its ".run" installer on a machine running Windows 10 PRO 64bit, installing it on the WLS (Windows Linux Subsystem).

While I do understand that WLS is still in beta phase, I expected this to work, especially since that, if I install it on a CentOS 7 virtual machine, TAR the installation dir and move it on WLS, it works perfectly.

Trying to run the installer gives this error:

root@TMA:/opt# /root/temp/
-bash: /root/temp/ cannot execute binary file: exec format error

Testing the installer with file command gives:

root@TMA:/opt# file /root/temp/
/root/temp/ ELF 64-bit LSB executable, x86-64, version 1 (GNU/Linux), statically linked, stripped

While the "kernel" identifies as:

root@TMA:/opt# uname -a
Linux TMA 4.4.0-43-Microsoft #1-Microsoft Wed Dec 31 14:42:53 PST 2014 x86_64 x86_64 x86_64 GNU/Linux

root@TMA:/opt# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.3 LTS
Release: 16.04
Codename: xenial

So it seems that both executable and kernel are 64bit... What am I missing?
Posts: 10
Joined: 16. May 2016 11:19
XAMPP version: 7.0.5
Operating System: Centos 7 64bit

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests